using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Text;

using Medivators.Common;

namespace SetupCustomActions
{
	class CustomActionHelper
	{
		internal void RebootNotification()
		{
			dlgPromptReboot dlg = new dlgPromptReboot();
			dlg.ShowDialog();
		}
		internal void InstallMDAC()
		{
			Process MDAC = new Process();
			MDAC.StartInfo.CreateNoWindow = false;
			MDAC.StartInfo.FileName = Utilities.PathSlash(Constants.MedivatorsProgramFiles) +
									  "MDAC\\mdac_typ.exe";
			MDAC.StartInfo.UseShellExecute = true;
			MDAC.StartInfo.WindowStyle = ProcessWindowStyle.Normal;
			MDAC.StartInfo.WorkingDirectory = Utilities.PathSlash(Constants.MedivatorsProgramFiles);
			MDAC.Start();
		}
	}
}
